Offers

Update Mutable Offer Fields Before Final Workflow Actions Occur

PATCHhttps://api.getcovent.com/api/v1/offers/{id}

Update mutable offer fields before final workflow actions occur.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X PATCH "https://api.getcovent.com/api/v1/offers/{id}" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 380000,
  "terms": {
    "inspection_period_days": 5,
    "close_of_escrow_days": 10
  },
  "expires_at": "2026-04-20T23:59:59Z"
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

amountnumberRequired

amount request field.

Example: 380000
termsobjectRequired

terms request field.

Example: {"inspection_period_days":5,"close_of_escrow_days":10}
expires_atstringRequired

expires_at request field.

Example: 2026-04-20T23:59:59Z

Response

200application/json

idstringRequired

id response field.

Example: off_123
amountnumberRequired

amount response field.

Example: 380000
statusstringRequired

status response field.

Example: submitted
termsobjectRequired

terms response field.

Example: {"inspection_period_days":5,"close_of_escrow_days":10}
updated_atstringRequired

updated_at response field.

Example: 2026-04-17T20:05:00Z

Response Example

{
  "id": "off_123",
  "amount": 380000,
  "status": "submitted",
  "terms": {
    "inspection_period_days": 5,
    "close_of_escrow_days": 10
  },
  "updated_at": "2026-04-17T20:05:00Z"
}